Subject: [NSIS] NATFW: some minor, non-technical issues

From: Matthias Friedrich <[email-masked]>
Date: Tue, 29 Aug 2006 10:45:11 +0200

Hi,

I'd like to post my list of collected nitpicks (mostly spelling) before
I lose the file once again. The section numbers have been updated to
draft version -12.

  * Section 3.2.3., first paragraph
    "consists" seems to be superfluous here

  * Section 3.7.5., item "NSLP responder"
    "The _NF_ should never receive NOTIFY messages ..." -> should be NR

  * Section 3.7.6., second paragraph
    "The processing when receiving a TRACE message is _the_ different
     for ..."

  * Section 3.7.7., last paragraph
    "... by setting the P flag in the NSLP header _is set_ to P=1 ..."

  * Section 3.7.7.1., first paragraph
    "In this case, _a_ NR can signal ..." -> an

  * Section 3.7.7.1., second paragraph
    "The absence of _an_ NONCE object ..." -> a

  * Section 3.7.7.2., last paragraph
    "Any device beyond this point will never _received_ ..." -> receive

  * Section 5.1.1., first paragraph
    "_An_ addition to authentication the nodes will ..." -> In addition?

  * Section 5.1.2., first paragraph
    "In such a scenario, _a_ the previously discussed ..."

  * Section 5.1.3., first paragraph
    "In many cases the signaling message initiator might already aware
    of ... " -> already _be_ aware

  * Section 5.2.4., first sentence
    I don't get it. Also, what does the "(*)" mean?

  * Section 5.2.4., third paragraph
    "The data _sender_ might want to update the NAT binding ..."
    Shouldn't this be the receiver?

  * Section 5.2.4., last paragraph
    "The DR MUST be able to specify which data _sender_ are allowed
    to traverse the NAT in order to be forwarded to _DRs_ address."
    -> plural, DR's

  * Section 5.2.5., third paragraph
    "By injecting a bogus _responses_ or NOTIFY message, for instance,
    _timeout_, a malicious host could try to teardown NATFW NSLP session
    state as well."
    -> "responses"? And what is meant by "timeout" here?

  * Section 5.3.1.3., last paragraph
    "A NATFW NSLP node MUST be configurable to block unauthorized
    signaling _message_." -> plural

  * Section 5.4., last paragraph
    There is no "firewall FW" in figure 42.

  * Section 5.11.1., first paragraph
    I'd remove the "provide" after the colon.

  * Section 5.11.1., last paragraph
    "Hencem"

Regards,
	Matthias

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis